Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Critical Critical
    • Resolution: Fixed
    • Affects Version/s: 1.0.0-incubating-core
    • Fix Version/s: 1.0.0-incubating-core
    • Component/s: Plugins
    • Labels:
      None
    • Environment:
      All

      Description

      There is an issue with the JavaScript parser that is used by the obfuscator. This issue is only in the JavaScript 1.5 version and is fixed in the JavaScript 2.0 prototype but the obfuscator uses the 1.5 version. I have attached the fixed version of the grammer file. This file resides in the the directory path:

      plugins/maven-javascript-plugin/src/main/java/org/apache/myfaces/trinidadbuild/plugin/javascript/obfuscator/javascript15parser

      The file to replace is

      js1.5.jj

      1. js1.5.jj
        29 kB
        Michael Elges
      2. js1.5.patch
        2 kB
        Michael Elges

        Activity

        Hide
        Michael Elges added a comment -

        Here is the file.

        Show
        Michael Elges added a comment - Here is the file.
        Hide
        Michael Elges added a comment -

        Diff file

        Show
        Michael Elges added a comment - Diff file
        Hide
        Matthias Weßendorf added a comment -

        thanks mike. patch applied to branch, first;
        trunk will follow

        Show
        Matthias Weßendorf added a comment - thanks mike. patch applied to branch, first; trunk will follow
        Hide
        Matthias Weßendorf added a comment -

        thx mike

        Show
        Matthias Weßendorf added a comment - thx mike

          People

          • Assignee:
            Matthias Weßendorf
            Reporter:
            Michael Elges
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development